/*
 * keys.h: header for keys.c 
 *
 * Copyright 1990 Michael Sandrof
 * Copyright 1997 EPIC Software Labs
 * See the COPYRIGHT file, or do a HELP IRCII COPYRIGHT 
 */

#ifndef __keys_h__
#define __keys_h__

/* I hate typedefs... */
typedef void (*KeyBinding) (char, char *);

	int		get_binding		(int, unsigned char,
						 KeyBinding *, char **);
	void		save_bindings 		(FILE *, int);
	void		bindcmd 		(char *, char *, char *);
	void    	rbindcmd 		(char *, char *, char *);
	void    	parsekeycmd 		(char *, char *, char *);
	void    	type 			(char *, char *, char *);
	void		init_keys 		(void);
	void		remove_bindings		(void);
	void		unload_bindings		(const char *);
	void		resize_metamap		(int);

#endif /* _KEYS_H_ */
